<template>
  <div class="col-lg-12 pd-0">
    <button
      type="button"
      :disabled="loading1"
      @click="submit"
      class="btn btn-primary"
      :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
    >
      <span v-if="loading1">
        <span
          class="spinner-grow spinner-grow-sm mr-1"
          role="status"
          aria-hidden="true"
        >
        </span>
      </span>
      <span v-if="!loading1">{{ $t("app.isApprove") }}</span>
    </button>
    &nbsp;&nbsp;
    <button
      type="button"
      :disabled="loading2"
      @click="submit2"
      class="btn btn-danger"
      :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
    >
      <span v-if="loading2">
        <span
          class="spinner-grow spinner-grow-sm mr-1"
          role="status"
          aria-hidden="true"
        >
        </span>
      </span>
      <span v-if="!loading2">{{ $t("app.isCancel") }}</span>
    </button>
    &nbsp;&nbsp;
    <button
      type="button"
      class="btn btn-dark"
      :disabled="loading1 || loading2"
      @click="cancel"
      :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
    >
      {{ $t("app.back") }}
    </button>
  </div>
</template>

<script>
export default {
  name: "Buttons2",
  props: ["btnLoading", "btnCurrent"],
  data() {
    return {
      loading1: false,
      loading2: false,
    };
  },
  watch: {
    btnLoading: function (new_val) {
      this.loading = new_val ? new_val : false;
    },
  },
  methods: {
    submit(event) {
      this.loading1 = true;
      this.$emit("submit1Clicked", event);
    },

    submit2(event) {
      this.loading2 = true;
      this.$emit("submit2Clicked", event);
    },

    cancel(event) {
      this.$emit("cancelClicked", event);
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
